# Team Squads

Retrieve historical squads via our Teams Squad endpoint. You can retrieve historical squads from 2005 and onwards. The endpoint also includes player performances in the requested season.\*

You can find the details on the Team Squads endpoint, including base URL, parameters, includes, and more.

* **GET Team Squads by Team ID:** returns the current **domestic squad** from your requested team ID.
* **GET Team Squads by Team and Season ID:** returns (historical) squads from your requested team and season ID.

{% hint style="info" %}
Please check our coverage page if the league offer historical squads.
{% endhint %}

#### Include options

[`team`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team) [`player` ](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player)[`position`](https://docs.sportmonks.com/v3/core-api/)[ ](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player)[`detailedPosition`](https://docs.sportmonks.com/v3/core-api/)[ ](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player)[`transfer`](/v3/endpoints-and-entities/entities/other.md#transfer)

#### **Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the team squads endpoint are:

* [Team Squads](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team-squad)
* [PlayerStatistic](/v3/endpoints-and-entities/entities/statistic.md#playerstatistic)

{% hint style="info" %}
Remember, our historical data will be integrated into the new version of our API gradually. So, the historical data is not yet complete. However, we will be loading more historical data continuously.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/team-squads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
